Subject: Re: bug#68852: 29.2; Woman + grep fails
From: Eli Zaretskii <[email-masked]>
To: Thierry Volpiatto <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Feb 2024 12:37:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Thierry Volpiatto <[email-masked]>
> Date: Wed, 31 Jan 2024 13:54:16 +0000
> 
> 
> To reproduce:
> 
> M-x woman RET grep RET
> 
> Debugger entered--Lisp error: (search-failed "\\(\\\\{\\|el[ \11]*\\\\}\\)\\|\\(\n[.']\\)?[ \11]*\\\\}[ \11]*")
>   re-search-forward("\\(\\\\{\\|el[ \11]*\\\\}\\)\\|\\(\n[.']\\)?[ \11]*\\\\}[ \11]*")
> [...]
> 
> I could reproduce also on Emacs-30.0.50
> 
> Calling re-search-forward with the NOERROR arg in the while loop of
> woman-if-body seems to fix the problem:

Hmm... I wonder how this worked until now.  But I guess your fix is as
good as any, so I installed it on master, and I'm now closing this
bug.

Thanks.